<!-- ...................................................................... -->
<!-- SSML 1 Document Structure, Text Processing and Pronunciation Module .. -->
<!-- file: ssml1-struct.mod
     
     This is Speech Synthesis Markup Language (SSML), Version 1.
     
     Copyright 2004 Wakaba <w@suika.fam.cx>, All Rights Reserved.
     
     Permission to use, copy, modify and distribute this DTD and its
     accompanying documentation for any purpose and without fee is hereby
     granted in perpetuity, provided that the above copyright notice and
     this paragraph appear in all copies.  The copyright holders make no
     representation about the suitability of the DTD for any purpose.
     
     It is provided "as is" without expressed or implied warranty.
     
     Revision: 2004-09-16T04:03:38+00:00 (Generated by mkdtds/1.06)
     
     This DTD module is identified by the SYSTEM identifier:
     
       SYSTEM "http://suika.fam.cx/www/markup/voice/schema/module/ssml1-struct.mod"
     
     ...................................................................... -->

<!-- Document Structure, Text Processing and Pronunciation

       lexicon, meta, metadata, p, phoneme, s, say-as, speak, sub

     This module defines the major structural element types and
     their attributes.
-->

<!-- speak: Root Element ............................... -->

<!ENTITY % ssml1.speak.element "INCLUDE">
<![%ssml1.speak.element;[
<!ENTITY % ssml1.speak.content "(#PCDATA|%ssml1.sentenceAndStructure.class;|%ssml1.lexicon.qname;|%ssml1.meta.qname;|%ssml1.metadata.qname;)*">
<!ENTITY % ssml1.speak.qname "speak">
<!ENTITY % ssml1.speak.tagmin.start "-">
<!ENTITY % ssml1.speak.tagmin.end "-">
<![%sgml.tag.minimizable;[
<!ENTITY % ssml1.speak.tagmin "%ssml1.speak.tagmin.start; %ssml1.speak.tagmin.end;">
<!-- end of sgml.tag.minimizable -->]]>
<!ENTITY % ssml1.speak.tagmin "">
<!ELEMENT %ssml1.speak.qname; %ssml1.speak.tagmin; %ssml1.speak.content;>
<!-- end of ssml1.speak.element -->]]>

<!ENTITY % ssml1.speak.attlist "INCLUDE">
<![%ssml1.speak.attlist;[
<!ATTLIST %ssml1.speak.qname;
	%ssml1.common.attrib;>
<!-- end of ssml1.speak.attlist -->]]>

<!-- lexicon: Pronunciation Lexicon .................... -->

<!ENTITY % ssml1.lexicon.element "INCLUDE">
<![%ssml1.lexicon.element;[
<!ENTITY % ssml1.lexicon.content "EMPTY">
<!ENTITY % ssml1.lexicon.qname "lexicon">
<!ENTITY % ssml1.lexicon.tagmin.start "-">
<!ENTITY % ssml1.lexicon.tagmin.end "o">
<![%sgml.tag.minimizable;[
<!ENTITY % ssml1.lexicon.tagmin "%ssml1.lexicon.tagmin.start; %ssml1.lexicon.tagmin.end;">
<!-- end of sgml.tag.minimizable -->]]>
<!ENTITY % ssml1.lexicon.tagmin "">
<!ELEMENT %ssml1.lexicon.qname; %ssml1.lexicon.tagmin; %ssml1.lexicon.content;>
<!-- end of ssml1.lexicon.element -->]]>

<!ENTITY % ssml1.lexicon.attlist "INCLUDE">
<![%ssml1.lexicon.attlist;[
<!ATTLIST %ssml1.lexicon.qname;
	%ssml1.common.attrib;>
<!-- end of ssml1.lexicon.attlist -->]]>

<!-- meta: Information about the document .............. -->

<!ENTITY % ssml1.meta.element "INCLUDE">
<![%ssml1.meta.element;[
<!ENTITY % ssml1.meta.content "EMPTY">
<!ENTITY % ssml1.meta.qname "meta">
<!ENTITY % ssml1.meta.tagmin.start "-">
<!ENTITY % ssml1.meta.tagmin.end "o">
<![%sgml.tag.minimizable;[
<!ENTITY % ssml1.meta.tagmin "%ssml1.meta.tagmin.start; %ssml1.meta.tagmin.end;">
<!-- end of sgml.tag.minimizable -->]]>
<!ENTITY % ssml1.meta.tagmin "">
<!ELEMENT %ssml1.meta.qname; %ssml1.meta.tagmin; %ssml1.meta.content;>
<!-- end of ssml1.meta.element -->]]>

<!ENTITY % ssml1.meta.attlist "INCLUDE">
<![%ssml1.meta.attlist;[
<!ATTLIST %ssml1.meta.qname;
	%ssml1.common.attrib;>
<!-- end of ssml1.meta.attlist -->]]>

<!-- metadata: Information about the document.  Use of RDF/XML and Dublin Core 
     is recommended.  -->

<!ENTITY % ssml1.metadata.element "INCLUDE">
<![%ssml1.metadata.element;[
<!ENTITY % ssml1.metadata.content "ANY">
<!ENTITY % ssml1.metadata.qname "metadata">
<!ENTITY % ssml1.metadata.tagmin.start "-">
<!ENTITY % ssml1.metadata.tagmin.end "-">
<![%sgml.tag.minimizable;[
<!ENTITY % ssml1.metadata.tagmin "%ssml1.metadata.tagmin.start; %ssml1.metadata.tagmin.end;">
<!-- end of sgml.tag.minimizable -->]]>
<!ENTITY % ssml1.metadata.tagmin "">
<!ELEMENT %ssml1.metadata.qname; %ssml1.metadata.tagmin; %ssml1.metadata.content;>
<!-- end of ssml1.metadata.element -->]]>

<!ENTITY % ssml1.metadata.attlist "INCLUDE">
<![%ssml1.metadata.attlist;[
<!ATTLIST %ssml1.metadata.qname;
	%ssml1.common.attrib;>
<!-- end of ssml1.metadata.attlist -->]]>

<!-- p: Paragraph ...................................... -->

<!ENTITY % ssml1.p.element "INCLUDE">
<![%ssml1.p.element;[
<!ENTITY % ssml1.p.content "(#PCDATA|%ssml1.paragraph.class;)*">
<!ENTITY % ssml1.p.qname "p">
<!ENTITY % ssml1.p.tagmin.start "-">
<!ENTITY % ssml1.p.tagmin.end "-">
<![%sgml.tag.minimizable;[
<!ENTITY % ssml1.p.tagmin "%ssml1.p.tagmin.start; %ssml1.p.tagmin.end;">
<!-- end of sgml.tag.minimizable -->]]>
<!ENTITY % ssml1.p.tagmin "">
<!ELEMENT %ssml1.p.qname; %ssml1.p.tagmin; %ssml1.p.content;>
<!-- end of ssml1.p.element -->]]>

<!ENTITY % ssml1.p.attlist "INCLUDE">
<![%ssml1.p.attlist;[
<!ATTLIST %ssml1.p.qname;
	xml:lang	%LanguageCode.datatype;	#IMPLIED
	%ssml1.common.attrib;>
<!-- end of ssml1.p.attlist -->]]>

<!-- s: Sentense ....................................... -->

<!ENTITY % ssml1.s.element "INCLUDE">
<![%ssml1.s.element;[
<!ENTITY % ssml1.s.content "(#PCDATA|%ssml1.sentence.class;)*">
<!ENTITY % ssml1.s.qname "s">
<!ENTITY % ssml1.s.tagmin.start "-">
<!ENTITY % ssml1.s.tagmin.end "-">
<![%sgml.tag.minimizable;[
<!ENTITY % ssml1.s.tagmin "%ssml1.s.tagmin.start; %ssml1.s.tagmin.end;">
<!-- end of sgml.tag.minimizable -->]]>
<!ENTITY % ssml1.s.tagmin "">
<!ELEMENT %ssml1.s.qname; %ssml1.s.tagmin; %ssml1.s.content;>
<!-- end of ssml1.s.element -->]]>

<!ENTITY % ssml1.s.attlist "INCLUDE">
<![%ssml1.s.attlist;[
<!ATTLIST %ssml1.s.qname;
	%ssml1.common.attrib;>
<!-- end of ssml1.s.attlist -->]]>

<!-- say-as: Information on the type of text construct . -->

<!ENTITY % ssml1.say-as.element "INCLUDE">
<![%ssml1.say-as.element;[
<!ENTITY % ssml1.say-as.content "(#PCDATA)*">
<!ENTITY % ssml1.say-as.qname "say-as">
<!ENTITY % ssml1.say-as.tagmin.start "-">
<!ENTITY % ssml1.say-as.tagmin.end "-">
<![%sgml.tag.minimizable;[
<!ENTITY % ssml1.say-as.tagmin "%ssml1.say-as.tagmin.start; %ssml1.say-as.tagmin.end;">
<!-- end of sgml.tag.minimizable -->]]>
<!ENTITY % ssml1.say-as.tagmin "">
<!ELEMENT %ssml1.say-as.qname; %ssml1.say-as.tagmin; %ssml1.say-as.content;>
<!-- end of ssml1.say-as.element -->]]>

<!ENTITY % ssml1.say-as.attlist "INCLUDE">
<![%ssml1.say-as.attlist;[
<!ATTLIST %ssml1.say-as.qname;
	%ssml1.common.attrib;>
<!-- end of ssml1.say-as.attlist -->]]>

<!-- phoneme: Phonemic/phonetic pronunciation for the contained text  -->

<!ENTITY % ssml1.phoneme.element "INCLUDE">
<![%ssml1.phoneme.element;[
<!ENTITY % ssml1.phoneme.content "(#PCDATA)*">
<!ENTITY % ssml1.phoneme.qname "phoneme">
<!ENTITY % ssml1.phoneme.tagmin.start "-">
<!ENTITY % ssml1.phoneme.tagmin.end "-">
<![%sgml.tag.minimizable;[
<!ENTITY % ssml1.phoneme.tagmin "%ssml1.phoneme.tagmin.start; %ssml1.phoneme.tagmin.end;">
<!-- end of sgml.tag.minimizable -->]]>
<!ENTITY % ssml1.phoneme.tagmin "">
<!ELEMENT %ssml1.phoneme.qname; %ssml1.phoneme.tagmin; %ssml1.phoneme.content;>
<!-- end of ssml1.phoneme.element -->]]>

<!ENTITY % ssml1.phoneme.attlist "INCLUDE">
<![%ssml1.phoneme.attlist;[
<!ATTLIST %ssml1.phoneme.qname;
	%ssml1.common.attrib;>
<!-- end of ssml1.phoneme.attlist -->]]>

<!-- sub: Text Substition .............................. -->

<!ENTITY % ssml1.sub.element "INCLUDE">
<![%ssml1.sub.element;[
<!ENTITY % ssml1.sub.content "(#PCDATA)*">
<!ENTITY % ssml1.sub.qname "sub">
<!ENTITY % ssml1.sub.tagmin.start "-">
<!ENTITY % ssml1.sub.tagmin.end "-">
<![%sgml.tag.minimizable;[
<!ENTITY % ssml1.sub.tagmin "%ssml1.sub.tagmin.start; %ssml1.sub.tagmin.end;">
<!-- end of sgml.tag.minimizable -->]]>
<!ENTITY % ssml1.sub.tagmin "">
<!ELEMENT %ssml1.sub.qname; %ssml1.sub.tagmin; %ssml1.sub.content;>
<!-- end of ssml1.sub.element -->]]>

<!ENTITY % ssml1.sub.attlist "INCLUDE">
<![%ssml1.sub.attlist;[
<!ATTLIST %ssml1.sub.qname;
	%ssml1.common.attrib;>
<!-- end of ssml1.sub.attlist -->]]>


<!-- end of ssml1-struct.mod -->
